/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAssessment;

import java.util.Date;
import java.util.Vector;
import ManuMgmt.ProductionRequest.ProductionRequest;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class SalesForecast {
    public void makeSalesForecast() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public ProductionRequest generateProductionRequest() {
        return new ProductionRequest();
    }

    public static Vector listSalesForecasts() {
        return new Vector();
    }

    private Date date;
    private int intervalForThisForecast;
    private int industrySector;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 0..*
     */
    private RelMgmt.Party.GeographicRegion lnkUnnamed1;

    /**
     *@shapeType AggregationLink
     *     @associates <b>SalesForecastDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private ManuMgmt.ProductionRequest.ProductionRequest lnkUnnamed2;

    /** @supplierCardinality 1 */
    private IMakeSalesForecast lnkUnnamed3;
}


